## org.codehaus.plexus.collections
Class DefaultActiveCollectionManager

    java.lang.Object
      org.codehaus.plexus.collections.DefaultActiveCollectionManager

All Implemented Interfaces:
  ActiveCollectionManager, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

    public class DefaultActiveCollectionManager

extends java.lang.Object
implements ActiveCollectionManager, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

Author:
  jdcasey

Field Summary

Fields inherited from interface org.codehaus.plexus.collections.ActiveCollectionManager
`ROLE`

Constructor Summary
`DefaultActiveCollectionManager()`

Method Summary
`void` `contextualize(org.codehaus.plexus.context.Context context)`
`ActiveList` `getActiveList(java.lang.Class role)` Retrieve an `ActiveList` instance that contains the components of the given role.
`ActiveList` `getActiveList(java.lang.String role)` Retrieve an `ActiveList` instance that contains the components of the given role.
`ActiveMap` `getActiveMap(java.lang.Class role)` Retrieve an `ActiveMap` instance that contains the components of the given role.
`ActiveMap` `getActiveMap(java.lang.String role)` Retrieve an `ActiveMap` instance that contains the components of the given role.
`ActiveSet` `getActiveSet(java.lang.Class role)` Retrieve an `ActiveSet` instance that contains the components of the given role.
`ActiveSet` `getActiveSet(java.lang.String role)` Retrieve an `ActiveSet` instance that contains the components of the given role.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultActiveCollectionManager

    public DefaultActiveCollectionManager()

Method Detail

### getActiveList

    public ActiveList getActiveList(java.lang.String role)

  Description copied from interface: `ActiveCollectionManager`
  Retrieve an `ActiveList` instance that contains the components of the given role.

  Specified by:
    `getActiveList` in interface `ActiveCollectionManager`

### getActiveMap

    public ActiveMap getActiveMap(java.lang.String role)

  Description copied from interface: `ActiveCollectionManager`
  Retrieve an `ActiveMap` instance that contains the components of the given role.

  Specified by:
    `getActiveMap` in interface `ActiveCollectionManager`

### getActiveSet

    public ActiveSet getActiveSet(java.lang.String role)

  Description copied from interface: `ActiveCollectionManager`
  Retrieve an `ActiveSet` instance that contains the components of the given role.

  Specified by:
    `getActiveSet` in interface `ActiveCollectionManager`

### contextualize

    public void contextualize(org.codehaus.plexus.context.Context context)
                       throws org.codehaus.plexus.context.ContextException

  Specified by:
    `contextualize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable`
  Throws:
    `org.codehaus.plexus.context.ContextException`

### getActiveList

    public ActiveList getActiveList(java.lang.Class role)

  Description copied from interface: `ActiveCollectionManager`
  Retrieve an `ActiveList` instance that contains the components of the given role. NOTE: the role which is used is actually the class-name, not the class...so, here ROLE = role.getName().

  Specified by:
    `getActiveList` in interface `ActiveCollectionManager`
  Parameters:
    `role` - the class whose name we will use as the role for the components to retrieve.

### getActiveMap

    public ActiveMap getActiveMap(java.lang.Class role)

  Description copied from interface: `ActiveCollectionManager`
  Retrieve an `ActiveMap` instance that contains the components of the given role. NOTE: the role which is used is actually the class-name, not the class...so, here ROLE = role.getName().

  Specified by:
    `getActiveMap` in interface `ActiveCollectionManager`
  Parameters:
    `role` - the class whose name we will use as the role for the components to retrieve.

### getActiveSet

    public ActiveSet getActiveSet(java.lang.Class role)

  Description copied from interface: `ActiveCollectionManager`
  Retrieve an `ActiveSet` instance that contains the components of the given role. NOTE: the role which is used is actually the class-name, not the class...so, here ROLE = role.getName().

  Specified by:
    `getActiveSet` in interface `ActiveCollectionManager`
  Parameters:
    `role` - the class whose name we will use as the role for the components to retrieve.

Copyright © 2011. All Rights Reserved.